<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

        <!-- Custom CSS -->
        <!-- <link rel="stylesheet" href="index.css"> -->

        <title>Bootstrap Grid System</title>

    </head>
    <body class="text-center">

        <h1>Bootstrap Grid System</h1>

        <!-- Two Columns Start-->
        <h2>Two Columns</h2>
        <div class="container-fluid">

            <!--Row with two equal columns-->
            <h3>1:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
            </div>
            
            <!--Row with two columns divided in 1:2 ratio-->
            <h3>1:2 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
            </div>
            
            <!--Row with two columns divided in 1:3 ratio-->
            <h3>1:3 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 Col</div>
            </div>

        </div>
        <!-- Two Columns End-->

        <!-- Three Columns Start -->
        <h2>Three Columns</h2>
        <div class="container-fluid">

            <!--Row with three equal columns-->
            <h3>1:1:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
            </div>
            
            <!--Row with three columns divided in 1:2:1 ratio-->
            <h3>1:2:1 Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
            </div>
            
            <!--Row with three columns divided in an uneven ratio-->
            <h3>Uneven Ratio</h3>

            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
            </div>

        </div>
        <!-- Three Columns End-->

        <!-- Automatic Sizing Start -->
        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
            </div>
        </div>
        <!-- Automatic Sizing End -->

        <!-- Responsive -->
        <h2>Mobile Responsive Column</h2>
        <div class="container-fluid">
         <div class="text light row">
    <div class="bg-primary pt-3 pb-3 border border-dark col-sm-12 col-md-2 col-lg-2">Responsive</div>
    <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-12 col-md-10 col-lg-10">Responsive</div>
  </div>
</div>
<!-- End of responsive -->
<!-- Muulti-Column Layout -->
 <h2>Multi column</h2>
<div class="container-fluid">
  <div class="row">
    <div class="bg-primary pt-3 pb-3 border border-dark col-4">col</div>
    <div class="bg-secondary pt-3 pb-3 border border-dark col-4">col</div>
    <div class="bg-primary pt-3 pb-3 border border-dark col-4">col</div>
    <div class="w-100"></div>
    <div class="bg-primary pt-3 pb-3 border border-dark col-4">col</div>
    <div class="bg-secondary pt-3 pb-3 border border-dark col-4">col</div>
    <div class="bg-primary pt-3 pb-3 border border-dark col-4">col</div>
  </div>
</div>
<!-- End of multi columnn -->
 <h2>Offsetting Columns</h2>

    <div class="container">
  <div class="row">
    <div class="bg-primary pt-3 pb-3 border border-dark col-md-7 offset-2">.col-md-4</div>
  </div>
  <div class="row">
    <div class="bg-primary pt-3 pb-3 border border-dark col-md-8 offset-md-3 offset-lg-3">.col-md-3 .offset-md-3</div>
  </div>
  <div class="row">
    <div class="bg-primary pt-3 pb-3 border border-dark col-md-9 offset-lg-4">.col-md-6 .offset-md-3</div>
  </div>
</div>
<!-- End of multi column -->
<h2>Column order</h2>

    <div class="container-fluid">
  <div class="row">
    <div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-sm-1 order-md-2 order-lg-2">Left</div>
    <div class="bg-secondary pt-3 pb-3 border border-dark col order-2 order-sm-2 order-md-1 order-lg-2">Right</div>
  </div>
</div>
        <!-- Bootstrap Script -->

        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

    </body>
</html>
